Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Eric Sandall (bc56ccecaffc05f73b0c12765cf4074afc81f438)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Eric Sandall <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Eric Sandall (bc56ccecaffc05f73b0c12765cf4074afc81f438)
  • Date: Sun, 18 Mar 2007 11:07:24 -0500

GIT changes to master grimoire by Eric Sandall <sandalle AT sourcemage.org>:

video/mplayerplug-in/BUILD | 1
video/mplayerplug-in/HISTORY | 7 ++
video/mplayerplug-in/PRE_BUILD | 3
video/mplayerplug-in/mplayerplug-in-3.35-firefox.patch | 58
+++++++++++++++++
4 files changed, 68 insertions(+), 1 deletion(-)

New commits:
commit bc56ccecaffc05f73b0c12765cf4074afc81f438
Author: Eric Sandall <sandalle AT sourcemage.org>
Commit: Eric Sandall <sandalle AT sourcemage.org>

Fix Bug #13599 (mplayerplug-in unable to find firefox-xpcom)

diff --git a/video/mplayerplug-in/BUILD b/video/mplayerplug-in/BUILD
index d885d77..3bd6762 100755
--- a/video/mplayerplug-in/BUILD
+++ b/video/mplayerplug-in/BUILD
@@ -1,5 +1,4 @@
if test "$(get_spell_provider $SPELL GECKO)" = "firefox"; then
- sedit 's/mozilla-plugin/firefox-plugin/' configure &&
if ! ldd $INSTALL_ROOT/usr/lib/firefox/firefox-bin |
grep -q libgtk-x11-2.0.so; then
OPTS="--disable-gtk2 --enable-gtk1 $OPTS"
diff --git a/video/mplayerplug-in/HISTORY b/video/mplayerplug-in/HISTORY
index 48a0fdf..f79c491 100644
--- a/video/mplayerplug-in/HISTORY
+++ b/video/mplayerplug-in/HISTORY
@@ -1,3 +1,10 @@
+2008-03-18 Eric Sandall <sandalle AT sourcemage.org>
+ * BUILD: Don't fix the firefox.pc in configure, let the patch do it
+ * PRE_BUILD: Apply mplayerplug-in-3.35-firefox.patch
+ * mplayerplug-in-3.35-firefox.patch: Patch pointed out by George
+ Sherwood and obtained from
http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/net-www/mplayerplug-in/files/mplayerplug-in-3.35-firefox.patch?rev=1.1
+ Fixes Bug #13599
+
2007-02-17 Jaka Kranjc <lynxlynxlynx AT sourcemage.org>
* DETAILS: updated spell to 3.35

diff --git a/video/mplayerplug-in/PRE_BUILD b/video/mplayerplug-in/PRE_BUILD
new file mode 100755
index 0000000..c98435a
--- /dev/null
+++ b/video/mplayerplug-in/PRE_BUILD
@@ -0,0 +1,3 @@
+default_pre_build &&
+cd $SOURCE_DIRECTORY &&
+patch -p0 < $SCRIPT_DIRECTORY/mplayerplug-in-3.35-firefox.patch
diff --git a/video/mplayerplug-in/mplayerplug-in-3.35-firefox.patch
b/video/mplayerplug-in/mplayerplug-in-3.35-firefox.patch
new file mode 100644
index 0000000..5fa85b0
--- /dev/null
+++ b/video/mplayerplug-in/mplayerplug-in-3.35-firefox.patch
@@ -0,0 +1,58 @@
+--- configure.in 2007/01/28 14:24:25 1.75
++++ configure.in 2007/02/26 18:28:41 1.76
+@@ -59,7 +59,7 @@
+ ],[AC_MSG_WARN([mozilla-plugin not found])])
+
+ if test "$MOZPLUG_CFLAGS" = ""; then
+-
PKG_CHECK_MODULES(MOZPLUG,[firefox-plugin],[AC_SUBST(MOZPLUG_CFLAGS)
MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir
firefox-plugin`"
++ PKG_CHECK_MODULES(MOZPLUG,[firefox-plugin
firefox-xpcom],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS}
-I`$PKG_CONFIG --variable=includedir firefox-plugin`"
+ MOZILLA_HOME=`$PKG_CONFIG --variable=libdir firefox-plugin`
+ ],[AC_MSG_WARN([firefox-plugin not found])])
+ fi
+--- configure 2007/01/28 14:24:24 1.76
++++ configure 2007/02/26 18:28:37 1.77
+@@ -3128,12 +3128,12 @@
+ pkg_cv_MOZPLUG_CFLAGS="$MOZPLUG_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"firefox-plugin\"") >&5
+- ($PKG_CONFIG --exists --print-errors "firefox-plugin") 2>&5
++ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"firefox-plugin firefox-xpcom\"") >&5
++ ($PKG_CONFIG --exists --print-errors "firefox-plugin firefox-xpcom") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+- pkg_cv_MOZPLUG_CFLAGS=`$PKG_CONFIG --cflags "firefox-plugin" 2>/dev/null`
++ pkg_cv_MOZPLUG_CFLAGS=`$PKG_CONFIG --cflags "firefox-plugin
firefox-xpcom" 2>/dev/null`
+ else
+ pkg_failed=yes
+ fi
+@@ -3146,12 +3146,12 @@
+ pkg_cv_MOZPLUG_LIBS="$MOZPLUG_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"firefox-plugin\"") >&5
+- ($PKG_CONFIG --exists --print-errors "firefox-plugin") 2>&5
++ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"firefox-plugin firefox-xpcom\"") >&5
++ ($PKG_CONFIG --exists --print-errors "firefox-plugin firefox-xpcom") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+- pkg_cv_MOZPLUG_LIBS=`$PKG_CONFIG --libs "firefox-plugin" 2>/dev/null`
++ pkg_cv_MOZPLUG_LIBS=`$PKG_CONFIG --libs "firefox-plugin firefox-xpcom"
2>/dev/null`
+ else
+ pkg_failed=yes
+ fi
+@@ -3170,9 +3170,9 @@
+ _pkg_short_errors_supported=no
+ fi
+ if test $_pkg_short_errors_supported = yes; then
+- MOZPLUG_PKG_ERRORS=`$PKG_CONFIG --short-errors
--errors-to-stdout --print-errors "firefox-plugin"`
++ MOZPLUG_PKG_ERRORS=`$PKG_CONFIG --short-errors
--errors-to-stdout --print-errors "firefox-plugin firefox-xpcom"`
+ else
+- MOZPLUG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout
--print-errors "firefox-plugin"`
++ MOZPLUG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout
--print-errors "firefox-plugin firefox-xpcom"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$MOZPLUG_PKG_ERRORS" >&5
+



  • [SM-Commit] GIT changes to master grimoire by Eric Sandall (bc56ccecaffc05f73b0c12765cf4074afc81f438), Eric Sandall, 03/18/2007

Archive powered by MHonArc 2.6.24.

Top of Page